﻿
.stiDesignerClearAllStyles {
	padding: 0px;
	margin: 0px;
	border: 0px;
}

.stiDesignerMainPanel {
	overflow: visible;
	width: 100%;
    height: 100%;
    z-index: 1;
    position: relative;
    background: #ffffff;
    cursor: default;
}

.stiDesignerMainPanel > table,
.stiDesignerMainPanel > tr,
.stiDesignerMainPanel > td,
.stiDesignerMainPanel > div {
	line-height: 1;
	box-sizing: content-box;
	-webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
	padding: 0px;
	margin: 0px;
}

.stiDesignerMainPanel *,
.stiDesignerMainPanel *:before,
.stiDesignerMainPanel *:after {	
	box-sizing: content-box;
	-webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
}

.stiDesignerToolBar {
	background: @MobileDesignerToolbarBackgroundColor;
    height: 40px;
    font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFileMenuFontColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerToolbox {
    font-family: Arial;
    font-size: 12px;
    position: absolute;
    overflow: hidden;
    background: @MobileDesignerContainersBackgroundColor;
    border-right: 1px solid @MobileDesignerMainPanelsBorderColor;
    color: @MobileDesignerFileMenuFontColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerWorkPanel {
	background: @MobileDesignerWorkPanelBackgroundColor;
	border-bottom: 1px solid @MobileDesignerMainPanelsBorderColor;
	position: relative;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerStatusPanel {
	position: absolute;
    height: 35px;
	left: 0px;
	bottom: 0px;
	right: 0px;	
	background: @MobileDesignerFileMenuBackgroundColor;
	z-index: 3;
	color: @MobileDesignerFileMenuFontColor;
	cursor: default;    
    font-family: Arial;
    font-size: 12px;
    white-space: nowrap;
     -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerPagesPanel {
	position: absolute;
	border-top: 1px solid @MobileDesignerMainPanelsBorderColor;
    background: @MobileDesignerContainersBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerDisabledPanel {
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	position: absolute;
	background: white;
	filter: alpha(Opacity=10);
    opacity: 0;
    -moz-opacity: 0;
    -khtml-opacity: 0;
}

.stiDesignerAboutPanel {
    width: 520px;
    height: 351px;
    z-index: 500;
    position: absolute;
    border: 1px solid @MobileDesignerFormBorderColor;
    -moz-box-shadow: 0px 0px 5px rgba(0,0,0,0.6);
    -webkit-box-shadow: 0px 0px 5px rgba(0,0,0,0.6);
    box-shadow: 0 0 7px rgba(0,0,0,0.3);
}

.stiDesignerAboutPanelHeader {
    width: 100%;
    font-family: Arial;
    font-size: 24px;
    text-align: center;
    color: @MobileDesignerFormBorderColor;
    margin-top: 35px;
}

.stiDesignerAboutPanelCopyright {
    width: 100%;
    text-align: center;
    font-family: Arial;
    font-size: 12px;
    color: #444444;
    margin-top: 157px;
}

.stiDesignerAboutPanelVersion {
    width: 100%;
    text-align: center;
    font-family: Arial;
    font-size: 12px;
    color: #444444;
    margin-top: 20px;
}

.stiDesignerAboutPanelStiLink {
    cursor: pointer;
    width: 100%;
    text-align: center;
    font-family: Arial;
    font-size: 12px;
    color: @MobileDesignerFormBorderColor;
    text-decoration: underline;
    margin-top: 35px;
}

.stiDesignerProcessImageStatusPanel {
    font-family: Arial;
    color: #ffffff;
}

.stiDesignerProcessImage {
    z-index: 45;
	position: absolute;
	border: 1px solid #2b579a;
    background: #ffffff;    
    font-family: Arial;
    font-size: 12px;
    color: #2b579a;
    -moz-box-shadow: 0px 0px 5px rgba(0,0,0,0.6); 
    -webkit-box-shadow: 0px 0px 5px rgba(0,0,0,0.6);
    box-shadow: 0 0 7px rgba(0,0,0,0.4);
}

.stiDesignerProcessImageCloud {
    z-index: 45;
	position: absolute;	
}


.stiDesignerPaintPanel {
	position: absolute;
	overflow: auto;
	background: @MobileDesignerPaintPanelBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiPageSvg {
	border: 1px solid #c6c6c6;
	overflow: hidden;
	-moz-box-shadow: 0px 0px 7px rgba(0,0,0,0.6); 
    -webkit-box-shadow: 0px 0px 7px rgba(0,0,0,0.6);
    box-shadow: 0 0 7px rgba(0,0,0,0.3);
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerPaintPanel table,
.stiDesignerPaintPanel td {
	padding: 0px;
	margin: 0px;
}

.stiDesignerNewReportPanel {
	position: absolute;	
    bottom: 0px;
    top: 0px;
	left: 150px;
    right: 0px;
}

.stiDesignerItemsContainer {
	border: 1px dotted @MobileDesignerContainersBorderColor;
	overflow-y: auto;
	overflow-x: hidden;
}

.stiDesignerVariableItemsFormContainer {
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
	overflow-y: auto;
	overflow-x: hidden;
	padding: 4px;
}

.stiDesignerDataSourceFormColumnsAndParametersTree {
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
	overflow: auto;
	padding: 4px;
}

.stiDesignerRelationFormColumnsLeftContainer {
	overflow-y: auto;
	overflow-x: hidden;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
	padding: 4px;
}

.stiDesignerRelationFormColumnsRightContainer {
	overflow-y: auto;
	overflow-x: hidden;
	border-left: 1px dotted @MobileDesignerContainersBorderColor;
	padding: 4px;
}

/* Mouse */ 
.stiDesignerHomePanel_Mouse {
	background: @MobileDesignerWorkPanelBackgroundColor;
	overflow-Y: hidden;
	overflow-X: auto;
	height: 92px;	
}

.stiDesignerInsertPanel_Mouse {
	background: @MobileDesignerWorkPanelBackgroundColor;
	overflow-Y: hidden;
	overflow-X: auto;
	height: 92px;
}

.stiDesignerLayoutPanel_Mouse {
	background: @MobileDesignerWorkPanelBackgroundColor;
	overflow-Y: hidden;
	overflow-X: auto;
	height: 92px;	
}

.stiDesignerPagePanel_Mouse {
	background: @MobileDesignerWorkPanelBackgroundColor;
	height: 92px;
	position: relative;
}

.stiDesignerPreviewPanel_Mouse {
	background: @MobileDesignerWorkPanelBackgroundColor;
	overflow-Y: hidden;
	overflow-X: auto;
	height: 92px;	
}

/* Touch */ 
.stiDesignerHomePanel_Touch {
	background: @MobileDesignerWorkPanelBackgroundColor;
	overflow-Y: hidden;
	overflow-X: auto;
	height: 112px;
}

.stiDesignerInsertPanel_Touch {
	background: @MobileDesignerWorkPanelBackgroundColor;
	overflow-Y: hidden;
	overflow-X: auto;
	height: 112px;
}

.stiDesignerLayoutPanel_Touch {
	background: @MobileDesignerWorkPanelBackgroundColor;
	overflow-Y: hidden;
	overflow-X: auto;
	height: 112px;
}

.stiDesignerPagePanel_Touch {
	background: @MobileDesignerWorkPanelBackgroundColor;
	height: 112px;
	position: relative;	
}

.stiDesignerPreviewPanel_Touch {
	background: @MobileDesignerWorkPanelBackgroundColor;
	overflow-Y: hidden;
	overflow-X: auto;
	height: 112px;
}

.stiDesignerGroupHeaderFormPanel {
	height: 350px;
	width: 450px;
	overflow: auto;
	margin: 0px;
	padding: 0px;
	border: 0px;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiDesignerEditFormPanel {
	height: 450px;
	width: 450px;
	overflow: auto;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiDesignerSubReportFormPanel {
	height: 450px;
	width: 600px;
	overflow: auto;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiDesignerTextEditorFormPanel {
	height: 450px;
	width: 550px;
	overflow: auto;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiDesignerInteractionFormPanel {
	width: 550px;
	overflow: auto;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiDesignerPageSetupFormPanel {
	margin: 0px;
	padding: 0px;
	border: 0px;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiDesignerImageFormMainPanel {
	font-family: Arial;
	font-size: 12px;
	color: @MobileDesignerFontColor;
	padding: 0px;
	border: 0px;
	margin: 0px;
}

.stiDesignerGroupHeaderFormMainPanel {
	font-family: Arial;
	font-size: 12px;
	color: @MobileDesignerFontColor;
	padding: 0px;
	border: 0px;
	margin: 0px;
	border-bottom: 1px dotted @MobileDesignerContainersBorderColor;
}

.stiDesignerDataColumnFormMainPanel {
	font-family: Arial;
	font-size: 12px;
	color: @MobileDesignerFontColor;
	width: 400px;
	height: 450px; 
	padding: 4px;
	overflow: auto;
}

.stiDesignerGlobalizatonStringsFormContainer {
	margin: 0px;
	padding: 0px;
	border: 0px;
	border-right: 1px dotted @MobileDesignerContainersBorderColor;
    border-left: 1px dotted @MobileDesignerContainersBorderColor;
}

*::selection {
background: @MobileDesignerButtonOverBackgroundColor;
}
*::-moz-selection {
background: @MobileDesignerButtonOverBackgroundColor;
}